Support » Plugin: NewStatPress » Problems with UX Builder (doesn’t work with newstats active)

  • diegogaona

    (@diegogaona)


    Hi,

    First, thanks for the great plugin.

    After I installed your plugin, when I try to edit a page with UX Builder (theme Flatsome 3.2.2) the UX screen do not load.
    I need to deactivate the Newstats to edit and activate when finished.

    Do you know what could solve this?

    Many thanks, Diego.

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author ice00

    (@ice00)

    hi,

    add this inside a php code (like newstatpress.php, just after the initial /** */ comments):

    error_reporting(E_ALL);
    ini_set('display_errors', 1);

    you should now see every possible PHP notices when you load a page (so after, the test it is better to remove it).

    See if you find some errors when load UX sceen and report it.

    Thanks

    diegogaona

    (@diegogaona)

    Hi,

    Sorry for the delay.

    After we put the code above, when we try to activate, we receive the following code:

    Parse error: syntax error, unexpected 'if' (T_IF) in /home/rasouzat/kinea.rasouzati.com.br/wp-content/plugins/newstatpress/newstatpress.php on line 15

    It helps?

    Thanks!

    Plugin Author ice00

    (@ice00)

    hi,

    not much 🙁

    So did you had put this:

    <?php
    /**********************************************************
     Plugin Name: NewStatPress
     Plugin URI: http://newstatpress.altervista.org
     Text Domain: newstatpress
     Description: Real time stats for your WordPress blog
     Version: 1.2.9
     Author: Stefano Tognon and cHab (from Daniele Lippi works)
     Author URI: http://newstatpress.altervista.org
    ************************************************************/
    
    error_reporting(E_ALL);
    ini_set('display_errors', 1);  
                     
    // Make sure plugin remains secure if called directly
    if( !defined( 'ABSPATH' ) ) {
      if( !headers_sent() ) { header('HTTP/1.1 403 Forbidden'); }
      die(__('ERROR: This plugin requires WordPress and will not function if called directly.','newstatpress'));
    }

    and line 15 is this:
    if( !defined( 'ABSPATH' ) ) {

    Correct?

    thanks

    Hi,

    Yeah, was it…

    But, don’t worry, I think the error was in the UX Builder, in the new update of the plugin, everything works!

    Many thanks for your help and time!!

    • This reply was modified 1 year, 11 months ago by diegogaona.
Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Problems with UX Builder (doesn’t work with newstats active)’ is closed to new replies.